<?php

namespace Hrm\Booking\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BookingTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Booking\Models\Booking $booking)
    {
        return [
            'id'                => $booking->getRouteKey(),
            'key'               => [
                'public'    => $booking->getPublicKey(),
                'route'     => $booking->getRouteKey(),
            ], 
            'id'                => $booking->id,
            'user_id'           => $booking->user_id,
            'user_type'         => $booking->user_type,
            'candidate_id'      => $booking->candidate_id,
            'client_id'         => $booking->client_id,
            'unit_id'           => $booking->unit_id,
            'job_id'            => $booking->job_id,
            'reference'         => $booking->reference,
            'booking_date'      => $booking->booking_date,
            'shift_date'        => $booking->shift_date,
            'start_time'        => $booking->start_time,
            'end_time'          => $booking->end_time,
            'break'             => $booking->break,
            'hours'             => $booking->hours,
            'details'           => $booking->details,
            'created_at'        => $booking->created_at,
            'updated_at'        => $booking->updated_at,
            'deleted_at'        => $booking->deleted_at,
            'url'               => [
                'public'    => trans_url('booking/'.$booking->getPublicKey()),
                'user'      => guard_url('booking/booking/'.$booking->getRouteKey()),
            ], 
            'status'            => trans('app.'.$booking->status),
            'created_at'        => format_date($booking->created_at),
            'updated_at'        => format_date($booking->updated_at),
        ];
    }
}